%define name knewmail
%define version 2.1
%define release 1
%define prefix /usr

%define builddir $RPM_BUILD_DIR/%{name}-%{version}

Summary: K Desktop Environment mail notifier
Name: %{name}
Version: %{version}
Release: %{release}
Group: Applications/Internet
Copyright: GPL
Url: http://www.slac.com/mpilone/knewmail_home/mainpage.html
Source: %{name}-%{version}.src.tar.gz
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root
Requires: qt >= 1.40 kdelibs >= 1.0

%description
Knewmail is a POP3 aware mail notifier for the K Desktop
Environment.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
			--prefix=%{prefix} \
			--with-install-root=$RPM_BUILD_ROOT
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT%{prefix}
make prefix=$RPM_BUILD_ROOT%{prefix} install-strip

%files
%doc AUTHORS COPYING ChangeLog BUGS README UPGRADE WHATSNEW knewmail/*.wav
%attr(755,root,root) %{prefix}/bin/knewmail

%attr( - ,root,root) %{prefix}/share/applnk
%attr( - ,root,root) %{prefix}/share/apps
%attr( - ,root,root) %{prefix}/share/doc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Apr 13 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
